[xiph-cvs] cvs commit: ices autogen.sh
Ralph Giles
giles at xiph.org
Sun Jul 6 06:13:02 PDT 2003
giles 03/07/06 09:13:02
Modified: . autogen.sh
Log:
Make autogen.sh a little smarter about findind the right automake. Unfortunately, there's no intelligent version dispatch in newer automakes like there is in for autoconf, so we now need configure-ish things in autogen.
Revision Changes Path
1.6 +63 -17 ices/autogen.sh
Index: autogen.sh
===================================================================
RCS file: /usr/local/cvsroot/ices/autogen.sh,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- autogen.sh 1 Jul 2003 23:24:46 -0000 1.5
+++ autogen.sh 6 Jul 2003 13:13:02 -0000 1.6
@@ -18,20 +18,59 @@
echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
DIE=1
}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
+VERSIONGREP="sed -e s/.*[^0-9\.]\([0-9]\.[0-9]\).*/\1/"
+
+# do we need automake?
+if test -r Makefile.am; then
+ options=`fgrep AUTOMAKE_OPTIONS Makefile.am`
+ AM_NEEDED=`echo "$options" | $VERSIONGREP`
+ if test -z "$AM_NEEDED" || test "x$AM_NEEDED" = "x$options"; then
+ echo -n "checking for automake..."
+ AUTOMAKE=automake
+ ACLOCAL=aclocal
+ if ($AUTOMAKE --version < /dev/null > /dev/null 2>&1); then
+ echo "yes"
+ else
+ echo "no"
+ AUTOMAKE=""
+ fi
+ else
+ echo -n "checking for automake $AM_NEEDED or later..."
+ for am in automake-$AM_NEEDED automake$AM_NEEDED automake; do
+ ($am --version < /dev/null > /dev/null 2>&1) || continue
+ ver=`$am --version < /dev/null | head -1 | $VERSIONGREP`
+ if test $ver = $AM_NEEDED; then
+ AUTOMAKE=$am
+ echo $AUTOMAKE
+ break
+ fi
+ done
+ test -z $AUTOMAKE && echo "no"
+ echo -n "checking for aclocal $AM_NEEDED or later..."
+ for ac in aclocal-$AM_NEEDED aclocal$AM_NEEDED aclocal; do
+ ($ac --version < /dev/null > /dev/null 2>&1) || continue
+ ver=`$ac --version < /dev/null | head -1 | $VERSIONGREP`
+ if test $ver = $AM_NEEDED; then
+ ACLOCAL=$ac
+ echo $ACLOCAL
+ break
+ fi
+ done
+ test -z $ACLOCAL && echo "no"
+ fi
+ test -z $AUTOMAKE || test -z $ACLOCAL && {
echo
echo "You must have automake installed to compile $package."
- echo "Download the appropriate package for your system,
- echo "or get the source from one of the GNU ftp sites"
- echo "listed in http://www.gnu.org/order/ftp.html"
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
DIE=1
-}
+ }
+fi
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
+(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have libtool installed to compile $package."
- echo "Download the appropriate package for your system,
+ echo "Download the appropriate package for your system,"
echo "or get the source from one of the GNU ftp sites"
echo "listed in http://www.gnu.org/order/ftp.html"
DIE=1
@@ -41,24 +80,31 @@
exit 1
fi
-if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
-fi
-
echo "Generating configuration files for $package, please wait...."
ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I m4"
-echo " aclocal $ACLOCAL_FLAGS"
-aclocal $ACLOCAL_FLAGS
+if ! test -z $ACLOCAL; then
+ echo " $ACLOCAL $ACLOCAL_FLAGS"
+ $ACLOCAL $ACLOCAL_FLAGS
+fi
+
echo " autoheader"
autoheader
+
echo " libtoolize --automake"
libtoolize --automake
-echo " automake --add-missing"
-automake --add-missing
+
+if ! test -z $AUTOMAKE; then
+ echo " $AUTOMAKE --add-missing"
+ $AUTOMAKE --add-missing
+fi
+
echo " autoconf"
autoconf
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
cd $olddir
$srcdir/configure "$@" && echo
<p><p>--- >8 ----
List archives: http://www.xiph.org/archives/
Ogg project homepage: http://www.xiph.org/ogg/
To unsubscribe from this list, send a message to 'cvs-request at xiph.org'
containing only the word 'unsubscribe' in the body. No subject is needed.
Unsubscribe messages sent to the list will be ignored/filtered.
More information about the commits
mailing list